Package com.independentsoft.email.mime

# Class Parameter

java.lang.Object
com.independentsoft.email.mime.Parameter

public class Parameter extends Object
Class Parameter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameter()`
  Initializes a new instance of the Parameter class.
  `Parameter​(String name)`
  Initializes a new instance of the Parameter class.
  `Parameter​(String name, String value)`
  Initializes a new instance of the Parameter class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the name.
  `String`
  `getValue()`
  Gets the value.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`
  Returns a String that represents this instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parameter

    public Parameter()
    Initializes a new instance of the Parameter class.

  - ### Parameter

    public Parameter​(String name)
    Initializes a new instance of the Parameter class.
    Parameters:
      `name` - The name.

  - ### Parameter

    public Parameter​(String name, String value)
    Initializes a new instance of the Parameter class.
    Parameters:
      `name` - The name.
      `value` - The value.

- ## Method Details

  - ### toString

    public String toString()
    Returns a String that represents this instance.
    Overrides:
      `toString` in class `Object`
    Returns:
      A String that represents this instance.

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      The name.

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - The name.

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      The value.

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - The value.